## org.hibernate.engine.jdbc
Interface LobCreationContext

All Known Implementing Classes:
  SessionImpl

    public interface LobCreationContext

Provides callback access into the context in which the LOB is to be created. Mainly this is useful for gaining access to the JDBC `Connection` for use in JDBC 4 environments.

Author:
  Steve Ebersole

Nested Class Summary
`static interface` `LobCreationContext.Callback` The callback contract for making use of the JDBC `Connection`.

Method Summary
`Object` `execute(LobCreationContext.Callback callback)` Execute the given callback, making sure it has access to a viable JDBC `Connection`.

Method Detail

### execute

    Object execute(LobCreationContext.Callback callback)

  Execute the given callback, making sure it has access to a viable JDBC `Connection`.

  Parameters:
    `callback` - The callback to execute .
  Returns:
    The LOB created by the callback.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.